កូដ QR
GET https://tistos.com/api/qr-codes/
curl --request GET \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
| search | ជ្រើសរើសបាន ខ្សែអក្សរ | ខ្សែអក្សរការស្វែងរក។ |
| search_by | ជ្រើសរើសបាន ខ្សែអក្សរ | តើអ្នកកំពុងស្វែងរកតាមវិស័យអ្វី។ តម្លៃដែលអនុញ្ញាតគឺ: name. |
| project_id | ជ្រើសរើសបាន លេខគត់ | |
| type | ជ្រើសរើសបាន ខ្សែអក្សរ | តើអ្នកកំពុងស្វែងរកតាមវិស័យអ្វី។ តម្លៃដែលអនុញ្ញាតគឺ: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, vietqr, upi, epc, pix. |
| datetime_field | ជ្រើសរើសបាន ខ្សែអក្សរ | តម្លៃដែលអនុញ្ញាត: datetime, last_datetime |
| datetime_start | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលចាប់ពីកាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| datetime_end | ជ្រើសរើសបាន ខ្សែអក្សរ | ត្រងលទ្ធផលរហូតដល់កាលបរិច្ឆេទ និងម៉ោងនេះ។ ទម្រង់ Y-m-d H:i:s។ |
| order_by | ជ្រើសរើសបាន ខ្សែអក្សរ | តើតំបន់ណាដែលត្រូវបញ្ជាទិញលទ្ធផលដោយ។ តម្លៃដែលអនុញ្ញាតគឺ: qr_code_id, datetime, last_datetime, name, type។ |
| order_type | ជ្រើសរើសបាន ខ្សែអក្សរ | ការបញ្ជាទិញនៃលទ្ធផល។ តម្លៃដែលអនុញ្ញាតគឺ: ASC សម្រាប់ការបញ្ជាទិញកើនឡើង និង DESC សម្រាប់ការបញ្ជាទិញកើនចុះ។ |
| page | ជ្រើសរើសបាន លេខគត់ | លេខទំព័រដែលអ្នកចង់បានលទ្ធផល។ ត្រូវបានកំណត់លំនាំដើមទៅ 1។ |
| results_per_page | ជ្រើសរើសបាន លេខគត់ | តើអ្នកចង់បានលទ្ធផលប៉ុន្មានក្នុងមួយទំព័រ។ តម្លៃដែលអនុញ្ញាតគឺ: 10, 25, 50, 100, 250, 500, 1000។ តម្លៃលំនាំដើមគឺ 25។ |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/qr-codes?page=1",
"last": "https://tistos.com/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/qr-codes?page=1"
}
}
GET https://tistos.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
POST https://tistos.com/api/qr-codes
| ប៉ារ៉ាម៉ែត្រ | ព័ត៌មានលម្អិត | សេចក្ដីពិពណ៌នា |
|---|---|---|
curl --request POST \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://tistos.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
POST https://tistos.com/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-10-16 15:13:40"
}
}
DELETE https://tistos.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \